(debian) compilation of qt4-qtruby : help needed for cmake

Discussion in 'Ruby' started by lolveley, May 28, 2009.

  1. lolveley

    lolveley Guest

    hello,

    I would like to compile qt4-qtruby2.0.3 because the official debian
    package use qt3.
    I unzipped the archive (here : http://rubyforge.org/projects/korundum/),
    and I entered (as shown in the doc) : cmake
    -DCMAKE_INSTALL_PREFIX=/opt/kde4/ . && make && make install,

    but there is this output:

    ************************************************************
    lolveley@debian:~/bin/qt4-qtruby-2.0.3$ cmake
    -DCMAKE_INSTALL_PREFIX=/opt/kde4/ . && make && make install
    -- Found Qt-Version 4.4.3 (using /usr/local/Trolltech/Qt-4.4.3/bin/qmake)
    -- Ruby found: /usr/lib/libruby1.8.so
    -- Build Smoke... yes - Qt, QtWebKit, QtScript, QtUiTools, QtTest
    -- Ruby found: /usr/lib/libruby1.8.so
    -- Build QtRuby... yes
    -- Build QtWebKit Ruby... yes
    -- Build QtUiTools Ruby... yes
    -- Build QtScript... yes
    -- Build QtTest... yes
    -- Build QScintilla Ruby... no
    -- Build Qwt Ruby... no
    CMake Warning (dev) in CMakeLists.txt:
    No cmake_minimum_required command is present. A line of code such as

    cmake_minimum_required(VERSION 2.6)

    should be added at the top of the file. The version specified may be
    lower
    if you wish to support older CMake versions for this project. For more
    information run "cmake --help-policy CMP0000".
    This warning is for project developers. Use -Wno-dev to suppress it.

    CMake Error: The following variables are used in this project, but they
    are set to NOTFOUND.
    Please set them or make sure they are set and tested correctly in the
    CMake files:
    QT_QTDBUS_LIBRARY (ADVANCED)
    linked by target "smokeqt" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qt
    linked by target "smokeqtwebkit" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtwebkit
    linked by target "smokeqtscript" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtscript
    linked by target "smokeqtuitools" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtuitools
    linked by target "smokeqttest" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qttest
    linked by target "qtruby4" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtruby/src
    linked by target "qtruby4shared" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtruby/src
    linked by target "rubyqtwebkit" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtwebkit
    linked by target "rubyqtuitools" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtuitools
    linked by target "qtscript" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtscript
    linked by target "qttest" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qttest
    QT_QTOPENGL_LIBRARY (ADVANCED)
    linked by target "smokeqt" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qt
    linked by target "smokeqtwebkit" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtwebkit
    linked by target "smokeqtscript" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtscript
    linked by target "smokeqtuitools" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtuitools
    linked by target "smokeqttest" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qttest
    linked by target "qtruby4" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtruby/src
    linked by target "qtruby4shared" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtruby/src
    linked by target "rubyqtwebkit" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtwebkit
    linked by target "rubyqtuitools" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtuitools
    linked by target "qtscript" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtscript
    linked by target "qttest" in directory
    /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qttest

    -- Configuring done

    ************************************************************

    how can I continue?

    thx,

    olivier.






    ___________________________________________________________________________
    Yahoo! Mail réinvente le mail ! Découvrez le nouveau Yahoo! Mail et son interface révolutionnaire.
    http://fr.mail.yahoo.com
    lolveley, May 28, 2009
    #1
    1. Advertising

  2. lolveley

    lolveley Guest

    stop!
    it works fine after apt-get -f install.

    olivier.

    lolveley a écrit :
    > hello,
    >
    > I would like to compile qt4-qtruby2.0.3 because the official debian
    > package use qt3.
    > I unzipped the archive (here :
    > http://rubyforge.org/projects/korundum/), and I entered (as shown in
    > the doc) : cmake -DCMAKE_INSTALL_PREFIX=/opt/kde4/ . && make && make
    > install,
    >
    > but there is this output:
    >
    > ************************************************************
    > lolveley@debian:~/bin/qt4-qtruby-2.0.3$ cmake
    > -DCMAKE_INSTALL_PREFIX=/opt/kde4/ . && make && make install
    > -- Found Qt-Version 4.4.3 (using /usr/local/Trolltech/Qt-4.4.3/bin/qmake)
    > -- Ruby found: /usr/lib/libruby1.8.so
    > -- Build Smoke... yes - Qt, QtWebKit, QtScript, QtUiTools, QtTest
    > -- Ruby found: /usr/lib/libruby1.8.so
    > -- Build QtRuby... yes
    > -- Build QtWebKit Ruby... yes
    > -- Build QtUiTools Ruby... yes
    > -- Build QtScript... yes
    > -- Build QtTest... yes
    > -- Build QScintilla Ruby... no
    > -- Build Qwt Ruby... no
    > CMake Warning (dev) in CMakeLists.txt:
    > No cmake_minimum_required command is present. A line of code such as
    >
    > cmake_minimum_required(VERSION 2.6)
    >
    > should be added at the top of the file. The version specified may be
    > lower
    > if you wish to support older CMake versions for this project. For more
    > information run "cmake --help-policy CMP0000".
    > This warning is for project developers. Use -Wno-dev to suppress it.
    >
    > CMake Error: The following variables are used in this project, but
    > they are set to NOTFOUND.
    > Please set them or make sure they are set and tested correctly in the
    > CMake files:
    > QT_QTDBUS_LIBRARY (ADVANCED)
    > linked by target "smokeqt" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qt
    > linked by target "smokeqtwebkit" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtwebkit
    > linked by target "smokeqtscript" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtscript
    > linked by target "smokeqtuitools" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtuitools
    > linked by target "smokeqttest" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qttest
    > linked by target "qtruby4" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtruby/src
    > linked by target "qtruby4shared" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtruby/src
    > linked by target "rubyqtwebkit" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtwebkit
    > linked by target "rubyqtuitools" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtuitools
    > linked by target "qtscript" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtscript
    > linked by target "qttest" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qttest
    > QT_QTOPENGL_LIBRARY (ADVANCED)
    > linked by target "smokeqt" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qt
    > linked by target "smokeqtwebkit" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtwebkit
    > linked by target "smokeqtscript" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtscript
    > linked by target "smokeqtuitools" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qtuitools
    > linked by target "smokeqttest" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/smoke/qttest
    > linked by target "qtruby4" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtruby/src
    > linked by target "qtruby4shared" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtruby/src
    > linked by target "rubyqtwebkit" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtwebkit
    > linked by target "rubyqtuitools" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtuitools
    > linked by target "qtscript" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qtscript
    > linked by target "qttest" in directory
    > /home/lolveley/bin/qt4-qtruby-2.0.3/ruby/qttest
    >
    > -- Configuring done
    >
    > ************************************************************
    >
    > how can I continue?
    >
    > thx,
    >
    > olivier.
    >
    >
    >
    >
    >
    >
    > ___________________________________________________________________________
    > Yahoo! Mail réinvente le mail ! Découvrez le nouveau Yahoo! Mail et
    > son interface révolutionnaire.
    > http://fr.mail.yahoo.com
    >
    >
    >







    ___________________________________________________________________________
    Yahoo! Mail réinvente le mail ! Découvrez le nouveau Yahoo! Mail et son interface révolutionnaire.
    http://fr.mail.yahoo.com
    lolveley, May 29, 2009
    #2
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. Replies:
    1
    Views:
    449
    Ioannis Vranos
    Mar 21, 2005
  2. Replies:
    2
    Views:
    156
  3. mir

    qt4 qtruby on windows

    mir, Jul 12, 2006, in forum: Ruby
    Replies:
    8
    Views:
    173
  4. Vincent Fourmond

    Debian packages for qt4-qtruby

    Vincent Fourmond, Nov 10, 2006, in forum: Ruby
    Replies:
    0
    Views:
    103
    Vincent Fourmond
    Nov 10, 2006
  5. Uma Geller

    QTRuby + QT4 + Win32

    Uma Geller, Mar 12, 2007, in forum: Ruby
    Replies:
    8
    Views:
    141
    Edgardo Hames
    Mar 13, 2007
Loading...

Share This Page